S=${WORKDIR}/binutils-2.9EE
DESCRIPTION="Tools necessary to build programs"
SRC_URI="http://ftp.lug.udel.edu/pub/NetBSD/misc/tshiozak/PlayStation2/GPLed-from-SCEI/binutils-2.9EE/binutils-2.9EE.tar.gz"
LICENSE="GPL-2 LGPL-2 BINUTILS"
SLOT="0"
KEYWORDS="mips"
HOMEPAGE="http://sources.redhat.com/binutils/"

DEPEND="virtual/glibc"

src_unpack() {
    unpack binutils-2.9EE.tar.gz
    epatch ${FILESDIR}/binutils-ps2linux-1.0.0.patch
}

src_compile() {
    if !(use ps2)
	then
      echo "Not a ps2, wont compile"
	  die
	fi

    local myconf
    if [ -z "`use nls`" ]
    then
        myconf="--disable-nls"
    fi

	mkdir build-tmp
	cd build-tmp
	../configure \
	--prefix=/usr \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
	--target=mipsEEel-linux \
	--host=mipsEEel-linux \
	--build=mipsEEel-linux \
	--enable-shared \
	${myconf} || die

	make tooldir=/usr all info || die
}

src_install() {
	cd build-tmp
	make prefix=${D}/usr \
	tooldir=${D}/usr \
	mandir=${D}/usr/share/man \
	install || die

	cd ..
	strip ${D}/usr/bin/*

	# remove conflit binary
	rm -f ${D}/usr/bin/c++filt
 
	install -m 644 include/libiberty.h ${D}/usr/include
 
	chmod +x ${D}/usr/lib/lib*.so*

    if [ -z "`use build`" ]
    then
        gzip -q9f ${D}/usr/info/*.info*
        # remove /usr/info/dir.info.gz
        rm -f ${D}/usr/info/dir.info.gz
    else
        rm -rf ${D}/usr/share/{man,info}
    fi


}
